<?php
    function function_caller ()
    {
        /*
            Function caller provides a secure interface to functions.
            Based on received arguments, it calls wanted functions, in the same
            time implementing cross-site scripting and SQL-injection protection
              Usage: function_caller($n, "function_name", [$arg1, [...]]);
            Variable $n is: 0 - database function, or 1 - template function.
            function_caller returns whatever the called function returns.
        */
        
        if (func_num_args() < 2 || !is_integer(func_get_arg(0)))
            return error('function_caller', debug_backtrace());
        
        $arguments = func_get_args();
        $n = strip_tags(array_shift($arguments));//take out the 0th argument
        $dir = array ('database', 'templates');
        $format='./'.$dir[$n].'/%s.php';//path will later be restricted to this

        if ($n == 0)
        {
            $db = DB::singleton();
            $connection_id = $db->open();
            if (!$connection_id)
            {
                error('function_caller', debug_backtrace(), mysql_error());
                exit(1);
            }
        }
        
        $function = strip_tags(array_shift($arguments));//take out 0th arg.
        $file = sprintf($format, $function);
        if (dirname($file) != dirname($format) || !include_once($file))
            return error('function_caller', $function, $arguments);
        
        if ($n == 0)
        {
          for ($i = 0; $i < count($arguments); $i++)
           $arguments[$i]=mysql_real_escape_string(strip_tags($arguments[$i]));
        }
        
        return call_user_func_array($function, $arguments);
    }
    
    function database ()
    {
        //A shortcut to the function_caller for calling database functions
        $arguments = func_get_args();
        array_unshift ($arguments, 0); //add number zero to index[0]
        return call_user_func_array ('function_caller', $arguments);
    }
    
    function template ()
    {
        /*
            A shortcut to the function_caller for calling template functions.
            It can print comments with names of templates to be called, and in
            doing so helps locate which function generated a specific code
        */
        
        if (C('ShowTemplateNames') == 'yes')
            echo "\n".'<!--BEG: '.func_get_arg(0).'-->'."\n";
        
        $arguments = func_get_args();
        array_unshift ($arguments, 1); //add number one to index[0]
        $tmp = call_user_func_array ('function_caller', $arguments);
        
        if (C('ShowTemplateNames') == 'yes')
            echo "\n".'<!--END: '.func_get_arg(0).'-->'."\n";
            
        return $tmp;
    }
?>
