<?php
    require_once('./include/common.php');
    identify();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hr" lang="hr">
 
 <head>
        <title><?php echo L('sitename');?></title>
        
        <meta name="description" content="Sučeljavanja" />
        <meta name="keywords" content="sučeljavanja, suceljavanja" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        
        <link rel="stylesheet" href="./include/style.css" type="text/css" />
        <script src="./include/post.js" type="text/javascript"></script>
 </head>
 
 <body lang="hr">
    <?php
        $db=DB::singleton();
        $connection_id = $db->open();
        
        $_SESSION['lastfile'] = 'debate.php'; //return here
        template ('login_stripe');
        
        if (isset($_SESSION['invite_id'], $_SESSION['invite_hash'], $_SESSION['user_id']))
            if (database ('invite_accept', $_SESSION['invite_id'], $_SESSION['invite_hash'], $_SESSION['user_id']))
            {
                database ('invite_remove', $_SESSION['invite_id']);
                unset($_SESSION['invite_id'], $_SESSION['invite_hash']);
            }
        
        if (isset($_GET['accept']))
        {
            if ($_GET['accept'] == "yes" && isset($_SESSION['user_id']))
            {
                if (database ('debate_accept', $_SESSION['debate_id'], $_SESSION['user_id']))
                {
                    $tmp = database ('debate_get', $_SESSION['debate_id']);
                    if ($tmp['pro_user'] != $_SESSION['user_id']) 
                        $to = database ('user_get', $tmp['pro_user']);
                    else
                        $to = database ('user_get', $tmp['con_user']);
                    $link = 'http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/debate.php?debate_id='.$tmp['id'];
                    $message = '
                    <html>
                     <head>
                        <title>'.L('sitename').'</title>
                        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                     </head>
                     <body>
                      '.sprintf (L('mail_debate_accepted'), $to['username'], $_SESSION['username'], $tmp['subject'], '<a href="'.$link.'">'.$link.'</a>').'
                     </body>
                    </html>';
                    $headers = 'MIME-Version: 1.0'."\r\n".'Content-type: text/html; charset=utf-8'."\r\n";
                    mail($to['email'], L('sitename'), $message, $headers);
                }
                else
                {
                    echo L('error');
                    exit();
                }
            }
            if ($_GET['accept'] == "no" && isset($_SESSION['user_id']))
                database ('debate_remove', $_SESSION['debate_id'], $_SESSION['user_id']);
        }
        
        $debate=false;
        if (isset($_SESSION['debate_id']))
            $debate = database ('debate_get', $_SESSION['debate_id']);
        
        if (is_array($debate) && $debate['wait_user'] == 0)
        {
            $pro_user = database ('user_get', $debate['pro_user']);
            $con_user = database ('user_get', $debate['con_user']);
            echo '
                <div class="container box">
                 <div class="container">
                     <div class="left">
                        <p>'.L('debatesubject').':</p>
                     </div>
                     <div class="left">
                        <h1>'.$debate['subject'].'</h1>
                     </div>
                        <div class="right">'."\n";
            for ($i=0; $i<floor($debate['ratings_avg']); $i++)
                template ('star', $i, 2, $debate['ratings_avg']); //full star
            if ($debate['ratings_avg']-floor($debate['ratings_avg']) >= 0.5)
            {
                template ('star', $i, 1, $debate['ratings_avg']); //half a star
                ++$i;
            }
            for ($i; $i<5; $i++)
                template ('star', $i, 0, $debate['ratings_avg']); //empty star
            echo '
                        <script type="text/javascript">
                            var avg='.$debate['ratings_avg'].'
                            function stars_show (rating)
                            {
                                for (i=0; i<Math.floor(rating); i++)
                                    document.getElementById(\'star\'+i).src=\'./images/star_full.png\';
                                if (rating-Math.floor(rating) >= 0.5)
                                {
                                    document.getElementById(\'star\'+i).src=\'./images/star_half.png\';
                                    ++i;
                                }
                                for (; i<5; i++)
                                    document.getElementById(\'star\'+i).src=\'./images/star_empty.png\';
                            }
                        </script>'."\n";
            echo '
                        </div>
                 </div>
                 
                 <div class="pro_column">
                    <div class="user_title pro">
                     <h2>'.$pro_user['username'].'</h2>
                    </div>
                    <div id="voteresult_pro" class="voteresult"><p>'.L('votesnr').': '.$debate['votes_pro'].'<p></div>
                    ';

            $a_id = database ('argument_list', $debate['id'], $debate['pro_user']);
            if (is_array($a_id))
            {
                foreach ($a_id as $argument)
                {
                    $tmp = database ('argument_get', $argument);
                    template ('argument', $tmp['subject'], $tmp['text'], $tmp['id']);
                }
            }
            if (isset($_SESSION['user_id']) && $_SESSION['user_id'] == $debate['pro_user'])
                template ('argumentbox');
            
            echo '
                 </div>
                 <div class="con_column">
                    <div class="user_title con">
                     <h2>'.$con_user['username'].'</h2>
                    </div>
                    <div id="voteresult_con" class="voteresult"><p>'.L('votesnr').': '.$debate['votes_con'].'<p></div>';
            
            $a_id = database ('argument_list',
                               $debate['id'], $debate['con_user']);
            if (is_array($a_id))
            {
                foreach ($a_id as $argument)
                {
                    $tmp = database ('argument_get', $argument);
                    template ('argument', $tmp['subject'], $tmp['text'], $tmp['id']);
                }
            }
            if (isset($_SESSION['user_id']) && $_SESSION['user_id'] == $debate['con_user'])
                template ('argumentbox');
            
            echo '
                 </div>
                </div>'."\n";
            
            if ( !isset($_SESSION['user_id']) || ($_SESSION['user_id'] != $debate['pro_user'] && $_SESSION['user_id'] != $debate['con_user']) )
            {
                if (isset( $_SESSION['voted'.$_SESSION['debate_id']] ))
                {
                    if ($_SESSION['voted'.$_SESSION['debate_id']] == 'pro')
                        $vote = 1;
                    else
                        $vote = 2;
                }
                else
                    $vote = 0;
                echo '
                    <div class="middle">
                        <div class="middle"><h3>'.L('votes').'</h3></div>
                        <div id="vote_pro" class="pro_column voteframe">
                                <button type="button" class="votebutton"
                                    onclick=
                                    "
                                        //var voted;
                                        if (post (\'\', \'vote\', \'pro\') && voted == 0)
                                        {
                                            document.getElementById(\'vote_pro\').className=\'pro_column voteframe pro\';
                                            voted = 1;
                                        }
                                    "
                                >
                                    '.$pro_user['username'].'
                                </button>
                        </div>
                        <div id="vote_con" class="con_column voteframe">
                                <button type="button" class="votebutton"
                                    onclick=
                                    "
                                        //var voted;
                                        if (post (\'\', \'vote\', \'con\') && voted == 0)
                                        {
                                            document.getElementById(\'vote_con\').className=\'con_column voteframe con\';
                                            voted = 2;
                                        }
                                    "
                                >
                                    '.$con_user['username'].'
                                </button>
                        </div>
                    </div>
                    <script type="text/javascript">
                        var voted='.$vote.';
                        if (voted == 1) document.getElementById(\'vote_pro\').className=\'pro_column voteframe pro\';
                        if (voted == 2) document.getElementById(\'vote_con\').className=\'con_column voteframe con\';
                    </script>
                    '."\n";
            }
            
            echo '
                <div class="comment_colum">
                    <div class="middle"><h3>'.L('comments').'</h3></div>'."\n";
            template ('commentbox');
            $c_id = database ('comment_list', $debate['id']);
            if (is_array($c_id))
            {
                foreach ($c_id as $comment)
                {
                    $tmp = database ('comment_get', $comment);
                    if ($tmp['user_id'] == 0)
                        $nick['username']=$tmp['anonymous_name'];
                    else
                        $nick=database('user_get', $tmp['user_id']);
                    template ('comment', $nick['username'], $tmp['text'], $tmp['id']);
                }
            }
            echo '
                    </div>'."\n";
        }
        else if (!is_array($debate))
        {
            template ('error_message', L('nondebate')); //simply non-existent
        }
        else
        {
            //inactive debate
            if (isset($_SESSION['user_id']) && $_SESSION['user_id'] == $debate['wait_user'])
            {
                if (!isset($_SESSION['activate']))
                {
                    $id=$_SESSION['debate_id'];
                    echo'
                      <div class="middle">
                          <form action="" method="get">
                            <p>'.L('acceptdebate').'</p>
                            <p><input name="id" type="hidden" value="'.$id.'" /></p>
                            <p><a href="?debate_id='.$id.'&accept=yes">'.L('acceptdebateyes').'</a></p>
                            <p><a href="?debate_id='.$id.'&accept=no">'.L('acceptdebateno').'</a></p>
                          </form>
                      </div>'."\n";
                }
            }
            else
            {
                echo '
                    <div class="middle">
                       <p>'.L('debatewaiting').'</p>
                    </div>'."\n";
            }
        }
    ?>
    
    <?php
      $db->close();//close the connection to the DBMS
      template ('copyright');
    ?>
 </body>
</html>
