<?php
    /*
        Retreives variables sent by POST, and accordingly calls the correct
        function, passing it the necessary arguments. After the said call,
        additional calls are made in order to format the corresponding output.
        
        In addition to the said output, one character is appended to the
        beginning (of the output) - either an H, or a J. H indicates to post.js
        that the output is to be treated as markup, and J that it should
        instead be evaluated as javascript code (see post.js for more).
        
        For convinience, error function is also supported and can be called via
        post.js so that Javascript can also report an error to be recorded.
    */
    
    require_once('./include/common.php');
    identify();
    
    $tmp = array();
    $i = 0;
    while (isset($_POST[$i]))
    {
        $tmp[$i] = strip_tags(urldecode($_POST[$i]));
        ++$i;
    };
    
    if ($i == 0)
        return false;
    else if ($tmp[0]!='error')
    {
        switch ($tmp[0])
        {
            case 'argumentbox':
                //1st argument is subject, and 2nd one is text of the argument.
                $return = database ('argument_create', $_SESSION['debate_id'], $_SESSION['user_id'], $tmp[1], $tmp[2]);
                if ($return)
                {
                    echo 'H';
                    template ('argument', $tmp[1], $tmp[2], $return);
                }
                else
                    echo 'J'.'alert(\''.L('error').'\')';
            break;
            
            case 'commentbox':
                //1st argument is 'author'(can be empty if user is logged in), and 2nd one is text of the argument.
                if (isset($_SESSION['user_id']))
                    $user = $_SESSION['user_id'];
                else
                    $user = 0;
                $return = database ('comment_create', $_SESSION['debate_id'], $user, $tmp[1], $tmp[2]);
                if ($return)
                {
                    echo 'H';
                    if ($user == 0)
                        $user = $tmp[1];
                    else
                        $user = $_SESSION['username'];
                    template ('comment', $user, $tmp[2], $return);
                }
                else
                    echo 'J'.'alert(\''.L('error').'\')';
            break;
            
            case 'vote':
                //1st (and only) argument is 'stance' (can be either 'pro' or 'con').
                if (!isset($_SESSION['voted'.$_SESSION['debate_id']]))
                {
                    $return = database ('debate_vote', $_SESSION['debate_id'], $tmp[1]);
                    if ($return)
                    {
                        echo 'J'.'
                            document.getElementById(\'voteresult_'.$tmp[1].'\').innerHTML=\'<p>'.L('votesnr').': '.$return.'<p>\';
                                  alert(\''.L('votedthanks').'\')';
                        $_SESSION['voted'.$_SESSION['debate_id']] = $tmp[1];
                    }
                    else
                        echo 'J'.'alert(\''.L('error').'\')';
                }
                else
                    echo 'J'.'alert(\''.L('votedalready').'\')';
            break;
                
            case 'rate':
                //1st (and only) argument is 'rating'
                if (!isset($_SESSION['rated'.$_SESSION['debate_id']]))
                {
                    $return = database ('debate_rate', $_SESSION['debate_id'], $tmp[1]);
                    if ($return)
                    {
                        echo 'J'.'avg='.$return.'; alert(\''.L('ratedthanks').'\');';
                        $_SESSION['rated'.$_SESSION['debate_id']] = 1;
                    }
                    else
                        echo 'J'.'alert(\''.L('error').'\')';
                }
                else
                    echo 'J'.'alert(\''.L('ratedalready').'\')';
            break;
            
            default:
                //for non-existant functionality, error message will be returned
                echo 'H'.'<p>'.L('error').'!</p>';
            break;
        }
    }
    else
        $return = call_user_func_array('error', $tmp);
?>
